<!DOCTYPE html>
<html>
<body>

<h2>Surprise!</h2>

<h1 id="demo"></h1>

<script>

    // Kannst du vorerst ignorieren
    async function sleep(ms) {
        // return new Promise(resolve => setTimeout(resolve, ms));
        return new Promise(function(myResolve, myReject){setTimeout(myResolve, ms)})
    }

    async function display(value) {
        document.getElementById("demo").innerHTML = value;
    }
    
    // Forme workerFunction() so um, dass sie ein Callback empfangen kann
    // Die Callback Funktion soll dann mit "returnVal" als Parameter
    // aufgerufen werden. Das "return" braucht es natürlich nicht mehr.
    function workerFunction() {
        await sleep(3000);
        returnVal = "Work Done!";
        return returnVal;
    }

    
    async function view() {        
        
        display("waiting...");
        // hier soll workerFunction() mit display() als Callback aufgerufen werden
    
    }

    view();

</script>

</body>
</html>